<?php 
final class submitRequest{
    private $submit = array();
    
    public function __construct()
    {
        $this->submit = $_POST;
    }
    
    public function get($value)
    {
        return isset($this->submit[$value])?trim($this->submit[$value]):null;
    }
    
    public function is($key,$value)
    {
        if(!isset($this->submit[$key]))
        {
            return false;
        }
        elseif($this->submit[$key] == $value)
        {
            return true;
        }
        else
        {
            return false;
        }
    }
    
    public function getApiRequestData()
    {
        return array(
            'productive'        => PRODUCTIVE,
            'username'          => MERCHANT_USERNAME,
            'password'          => MERCHANT_PASSWORD,
            'rtid'              => $this->get('rtid')?$this->get('rtid'):"refund_".time().'_'.rand(0,9),
            'mtid'              => $this->get('mtid'),
            'amount'            => $this->get('amount')?number_format((float)str_replace(',','.',$this->get('amount')),2):(int)0,
            'currency'          => $this->get('currency')?strtoupper($this->get('currency')):'',
            'utcOffset'         => UTC_OFFSET,
            'validateOnly'      => $this->is('validateOnly','1')?true:false,
            'customerIdType'    => 'EMAIL',
            'customerId'        => $this->get('customerId'),
            'merchantClientId'  => $this->get('merchantClientId')
        );
    }
    
}