<?php

 final class htmlOutput
 {

 	public function __construct()
 	{
 		if (!headers_sent())
 		{
 			header("Content-Type: text/html; charset=utf-8");
 		}
 	}

 	public function getForm($submit)
 	{
 	  ?>
 		<div style="width: 50%; min-width:500px;margin:10px auto; background:#0071CF; color:#fff;padding-bottom:10px;">
           <h3 style="padding: 10px; text-align:center">
              paysafecard merchant refund test suite
           </h3>
           <form action="<?php $_SERVER['PHP_SELF'];?>" method="POST" enctype="multipart/form-data">
              <fieldset style="margin: 25px auto; width: 75%; min-width:310px; ">
                 <legend>
                    Input parameters
                 </legend>
                 <div style="float: left;">
                    <input type="text" title="rtid - refund transaction id" placeholder="rtid - refund transaction id" name="rtid" style="width: 300px; margin: 0 0 10px; display:block; clear:both;" value="<?php echo $submit->get('rtid');?>"/>
                    <input type="text" title="mtid - merchant transaction id" placeholder="mtid - merchant transaction id" name="mtid" style="width: 300px; margin: 0 0 10px; display:block; clear:both;" value="<?php echo $submit->get('mtid');?>"/>
                    <input type="text" title="merchantClientId" placeholder="merchantClientId" name="merchantClientId" style="width: 300px; margin: 0 0 10px; display:block; clear:both;" value="<?php echo $submit->get('merchantClientId');?>"/>
                    <input type="text" title="amount" placeholder="amount" name="amount" style="width: 300px; margin: 0 0 10px; display:block; clear:both;" value="<?php echo $submit->get('amount');?>"/>
                    <input type="text" title="currency" placeholder="currency" name="currency" style="width: 300px; margin: 0 0 10px; display:block; clear:both;" value="<?php echo $submit->get('currency');?>"/>
                    validate only
                    <span style="margin:0 10px ;">
                       <input type="radio" name="validateOnly" value="1" <?php echo $submit->is('validateOnly','1')?'checked="checked"':'';?>/>
                       true
                    </span>
                    <span>
                       <input type="radio" name="validateOnly" value="0" <?php echo $submit->is('validateOnly','0')?'checked="checked"':'';?>/>
                       false
                    </span>
                 </div>
                 <fieldset style="float: right; min-width:250px">
                    <legend>
                       "my paysafecard" account details
                    </legend>
                    (to be provided if the original mtid was paid with classic)
                    <br />
                    <input type="text" title="my paysafecard customer mail address" placeholder="my paysafecard customer mail address" name="customerId" style="width: 300px; margin: 0 0 10px; display:block; clear:both;" value="<?php echo $submit->get('customerId');?>"/>                    
                 </fieldset>
                 <input type="submit" value="Submit data" name="submitForm" style="margin: 65px 0 0; float:right" />
              </fieldset>
           </form>
        </div>
        <?php 
 	}
    
    
    public function showResult($result)
    {
        if($result['refundResult']['status'] && ($result['transaction']['validationOnly']==false))
        {
            $this->infoPage($result['refundResult']);
        }
        $this->showDebug($result);
        
    }
    
    private function infoPage($result)
    {
        echo '<div style="width: 25%; min-width:250px;margin:10px auto; background:#0071CF; color:#fff;padding:1px 10px;">';
        echo '<p>Your refund request was successful!<br />';
        echo 'The amount of ';
        echo '<b>'.$result['transactionDetails']['requestedAmount'].' '.$result['transactionDetails']['requestedCurrency'].'</b> ';
        if($result['transactionDetails']['requestedCurrency'] != $result['transactionDetails']['refundedInCurrency'])
        {
            echo '('.number_format($result['transactionDetails']['refundedAmount'],2).' '.$result['transactionDetails']['refundedInCurrency'].') ';
        }                 
        echo 'was refunded to the my paysafecard account.</p>';
        echo '<p style="font-size:0.8em">Notice: It can take up to 1 hour till the credit shows up in the my paysafecard balance.</p>';
        echo '</div>';
    }
    
    private function showDebug($result)
    {
        echo '<div style="position:absolute; bottom:0; left:0; width:33%; height:30%; overflow:scroll; background-color:#E3DDDD;"><h1>Transaction</h1>';
        echo '<pre>';print_r($result['transaction']);echo'</pre></div>'; 
        echo '<div style="position:absolute; bottom:0; left:33%; width:33%; height:30%; overflow:scroll; background-color:#E3DDDD;"><h1>Result</h1>';
        echo '<pre>';print_r($result['refundResult']);echo'</pre></div>'; 
        echo '<div style="position:absolute; bottom:0; left:66%; width:33%; height:30%; overflow:scroll; background-color:#E3DDDD;"><h1>Soap</h1>';
        echo '<pre>';print_r($result['soap']);echo'</pre></div>';
    }
 }
